.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_CanvasModulate:

CanvasModulate
==============

**Inherits:** :ref:`Node2D<class_node2d>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Tint the entire canvas

Member Functions
----------------

+----------------------------+------------------------------------------------------------------------------------------------+
| :ref:`Color<class_color>`  | :ref:`get_color<class_CanvasModulate_get_color>`  **(** **)** const                            |
+----------------------------+------------------------------------------------------------------------------------------------+
| void                       | :ref:`set_color<class_CanvasModulate_set_color>`  **(** :ref:`Color<class_color>` color  **)** |
+----------------------------+------------------------------------------------------------------------------------------------+

Description
-----------

CanvasModulate tints the canvas elements using its asigned color

Member Function Description
---------------------------

.. _class_CanvasModulate_get_color:

- :ref:`Color<class_color>`  **get_color**  **(** **)** const

Gets the canvas tint color

.. _class_CanvasModulate_set_color:

- void  **set_color**  **(** :ref:`Color<class_color>` color  **)**

Sets the canvas tint color


